Bug 510527 - Encrypted USB drives don't show up in KDE device notifier
Encrypted USB drives don't show up in KDE device notifier
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 12:29 EDT by john.haxby@oracle.com
Modified: 2015-07-13 13:35 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.2.4-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 188482 None None None Never

  None (edit)
Description john.haxby@oracle.com 2009-07-09 12:29:06 EDT
Description of problem:

The KDE device notifier studiously ignores encrypted partitions for hot-plug drives; the same encrypted partitions work beautifully in gnome.

Version-Release number of selected component (if applicable): 4.2.4-3.fc11


How reproducible: Always


Steps to Reproduce:
1. Create a luks encrypted parition with a file system on it on a USB thumbdrive
2. Make sure all is fine by logging into a gnome session, plugging in the thumb drive, typing the password at the prompt and looking at the encrypted file system (it was probably a good idea to put some files on it!)
3. As (2) but this time using KDE.  When you plug in the thumb drive this time you should see it on the device notifier window.
  
Actual results: no encrypted drive listed :-(


Expected results: encrypted device listed and accessible :-)


Additional info:

With the patch to /usr/share/kde4/apps/solid/actions/test-predicate-openinwindow.desktop described in the KDE bug we now get the encrypted drive listed.  You can click on it and you're prompted for a password and the drive becomes available for mounted (and listed in the recently opened drives).  I'm not sure if this is the end of the story though -- the drive is listed twice (once in its encrypted form, once as something mountable) and after you've typed in the key you get a dolphin window on, in my case, ~/Documentation, which doesn't seem quite right.  But at least I can mount the encrypted partition.
Comment 1 Lukáš Tinkl 2009-07-09 15:57:21 EDT
The fix is for KDE 4.3, I'll see if it also applies for KDE 4.2.x which we currently have in F11
Comment 2 Fedora Update System 2009-07-10 06:57:34 EDT
kdebase-workspace-4.2.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kdebase-workspace-4.2.4-5.fc11
Comment 3 Fedora Update System 2009-07-16 03:00:01 EDT
kdebase-workspace-4.2.4-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.